#ifndef CLEANUP_H_
#define CLEANUP_H_

#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "CtlPanel1.h"
#include "ProtoInnerCan.h"

class TCleanUp{
	public:
		unsigned int OnActive;
		TCtlPanel1 *aPanel;
	public:
		TStaticText Caption;

		u32 Color;
	
		int TabOrder;
	
		TRect Bound;	
		TRect Content;
		
		unsigned int CtlIndex;
		
		union{
			char	Text[256];
			unsigned char D8[256];
			unsigned int D32[64];
		}ReadWriteData;
	public:
		TCleanUp(){};
		TCleanUp(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor){
			Init(x1, y1, aW, aH, OwnerX, OwnerY, aColor);
		}
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
		void DelayMs(unsigned int aMs);
		
		void RenderBackGround(void);
		void RenderBackGround(unsigned int aClr);
		void DrawSelf(void);
		
		void Show(void);
		void ReDraw(void);
		void FullRedraw(int Prm);
		
		TGuiMsgReturn KeyIn(unsigned char aKey);
		
		void InitPanel();
		void Check4Selected(void);
		
		void WaitChipIdle(unsigned int ChipX);
		void cRegister();
		void cBusPad();
		void cDirectPad();
		void cDescp();
		void cDescpNw();
		void cLinkage();
		void cNetwork();
		void cUserCodeAssignType();
		
		void FillDescp();
		
		int ExtRequst(unsigned char Prm){return 0;}
	
};



#endif

